<template>
  <a-layout-sider collapsible :defaultCollapsed="true">
    <a-menu theme="dark" mode="inline">
      <a-menu-item key="home">
        <router-link to="/">
          <a-icon type="home" />
          <span>Home</span>
        </router-link>
      </a-menu-item>
      <a-menu-item key="view-items">
        <router-link to="/view-items">
          <a-icon type="eye" />
          <span>View Items</span>
        </router-link>
      </a-menu-item>
      <a-menu-item key="add-item">
        <router-link to="/add-item">
          <a-icon type="plus" />
          <span>Add item</span>
        </router-link>
      </a-menu-item>
    </a-menu>
  </a-layout-sider>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";

@Component
export default class Nav extends Vue {}
</script>
